Developers
API ReferenceVacation Type

Retrieves the collection of VacationType resources.

GET
/calendar/vacation-types

Retrieves the collection of VacationType resources.

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Query Parameters

page?integer

The collection page number

Default1
itemsPerPage?integer

The number of items per page

Range0 <= value <= 100
Default30
order[name]?string
Default"asc"
Value in"asc""desc"
isActive?boolean
isActive[]?array<boolean>
name?string

Response Body

VacationType collection

  1. response
[index: integer]?
Example Request
curl -X GET 'https://app.icproject.com/api/instance/demo/calendar/vacation-types'
Example Response
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "decrementVacation": true,    "isActive": true  }]